leosmilence@163.com 4 years ago
parent
commit
f63e7e22fc

+ 72 - 0
.gitignore

@@ -0,0 +1,72 @@
+# Logs
+logs
+*.log
+npm-debug.log*
+yarn-debug.log*
+yarn-error.log*
+
+# Runtime data
+pids
+*.pid
+*.seed
+*.pid.lock
+
+# Directory for instrumented libs generated by jscoverage/JSCover
+lib-cov
+
+# Coverage directory used by tools like istanbul
+coverage
+
+# nyc test coverage
+.nyc_output
+
+# Grunt intermediate storage (http://gruntjs.com/creating-plugins#storing-task-files)
+.grunt
+
+# Bower dependency directory (https://bower.io/)
+bower_components
+
+# node-waf configuration
+.lock-wscript
+
+# Compiled binary addons (http://nodejs.org/api/addons.html)
+build/Release
+
+# Dependency directories
+node_modules/
+jspm_packages/
+
+# Typescript v1 declaration files
+typings/
+
+# Optional npm cache directory
+.npm
+
+# Optional eslint cache
+.eslintcache
+
+# Optional REPL history
+.node_repl_history
+
+# Output of 'npm pack'
+*.tgz
+
+# Yarn Integrity file
+.yarn-integrity
+
+# dotenv environment variables file
+.git
+.vscode
+.env
+.idea
+.DS_Store
+dist
+lib
+es
+_site
+yarn.lock
+package-lock.json
+/coverage
+
+# useless files
+templete

BIN
Dowloads/1366859-091b03e7e4a6daa3.webp


BIN
Dowloads/1366859-a88dba7312bd50e0.webp


BIN
Dowloads/1366859-d417601143f7bc82.webp


BIN
Dowloads/Master.webp


BIN
Dowloads/liuchengtu.webp


+ 25 - 0
deploy.sh

@@ -0,0 +1,25 @@
+#!/usr/bin/env sh
+
+# abort on errors
+set -e
+
+# build
+npm run build
+
+# navigate into the build output directory
+cd docs/.vuepress/dist
+
+# if you are deploying to a custom domain
+# echo 'www.example.com' > CNAME
+
+git init
+git add -A
+git commit -m 'deploy'
+
+# if you are deploying to https://<USERNAME>.github.io
+# git push -f git@github.com:<USERNAME>/<USERNAME>.github.io.git master
+
+# if you are deploying to https://<USERNAME>.github.io/<REPO>
+# git push -f git@github.com:<USERNAME>/<REPO>.git master:gh-pages
+
+cd -

+ 20 - 0
docs/.vuepress/config.js

@@ -0,0 +1,20 @@
+module.exports = {
+  theme:"antdocs",
+  title: "集成框架",
+  description: "开发框架",
+  base: "/",
+  head: [
+    ["link",{ rel: "icon",href: "http://persagy-assets.oss-cn-beijing.aliyuncs.com/OfficialWebsite/img/index/logo_footer.png" }]
+  ],
+  markdown: {
+    lineNumbers: true,
+  },
+  themeConfig: {
+    smoothScroll: true,
+    nav: require("./config/nav"),
+    sidebar: require("./config/sidebar"),
+    lastUpdated: "Last Updated",
+    repo: "https://github.com/zpfz/vuepress-creator",
+    editLinks: false,
+  },
+};

+ 16 - 0
docs/.vuepress/config/nav.js

@@ -0,0 +1,16 @@
+module.exports = [
+  // Nav 1
+  {
+    text: "首页",
+    link: "/"
+  },
+  // Nav 2
+  {
+    text: "文档",
+    link: "/category/"
+  },
+  {
+    text: "关于我们",
+    link: "/about/"
+  },
+];

+ 4 - 0
docs/.vuepress/config/sidebar.js

@@ -0,0 +1,4 @@
+module.exports = {
+  "/category/": require("../../category/sidebar_contents"),
+  "/about/": require("../../about/about_contents"),
+};

BIN
docs/.vuepress/public/assets/Feature.webp


BIN
docs/.vuepress/public/assets/Hotfix.webp


BIN
docs/.vuepress/public/assets/Master.webp


BIN
docs/.vuepress/public/assets/Release.webp


BIN
docs/.vuepress/public/assets/liuchengtu.webp


BIN
docs/.vuepress/public/assets/logo.png


+ 44 - 0
docs/.vuepress/styles/index.styl

@@ -0,0 +1,44 @@
+// **************  Start  **************
+// you can comment out the following code snippet.
+
+.home
+	.hero
+		img
+			max-height 220px !important
+		h1
+			font-size 2.6rem !important
+		.action-button
+			padding 0.4rem 1.4rem !important	
+	.footer
+		padding 1rem !important
+
+.sidebar 
+	> .sidebar-links 
+		> li 
+			> a
+				&.sidebar-link
+					font-size 1em !important
+					line-height: 1.4 !important
+					font-weight normal !important
+					&.active
+						font-weight bold !important
+.sidebar 
+	> .sidebar-links
+		> li:not(:first-child)
+			margin-top auto !important
+
+// reset scrollbar
+::-webkit-scrollbar{width:6px;height:1px}
+::-webkit-scrollbar-thumb{background:#3eaf7c}
+::-webkit-scrollbar-track{background:transparent}
+			
+// ***************  End  ***************
+
+/* **********************************************
+
+	Add Extra Styles
+	https://vuepress.vuejs.org/config/#index-styl
+
+********************************************** */
+
+// You can add extra styles from the following (using stylus or css)

+ 8 - 0
docs/.vuepress/styles/palette.styl

@@ -0,0 +1,8 @@
+/* ************************************************
+
+	Override Default Preset
+	https://vuepress.vuejs.org/config/#palette-styl
+
+************************************************ */
+
+// You can override default preset from the following (using stylus or css)

+ 14 - 0
docs/README.md

@@ -0,0 +1,14 @@
+---
+home: true
+heroImage: /assets/logo.png
+actionText: 立即开始 →
+actionLink: /category/
+features:
+- title: 详情名称1
+  details: 描述巴拉巴拉巴拉.
+- title: 详情名称2
+  details: 描述巴拉巴拉巴拉.
+- title: 详情名称3
+  details: 描述巴拉巴拉巴拉.
+footer: MIT Licensed | Copyright © 2020 Persagy
+---

+ 5 - 0
docs/about/README.md

@@ -0,0 +1,5 @@
+---
+title: 星其大佬领导的项目
+---
+
+# README.md

+ 5 - 0
docs/about/about.md

@@ -0,0 +1,5 @@
+---
+title: 星其大佬领导的项目
+---
+
+# About

+ 4 - 0
docs/about/about_contents.js

@@ -0,0 +1,4 @@
+module.exports = [
+	"/about/",
+	"about",
+];

+ 40 - 0
docs/category/README.md

@@ -0,0 +1,40 @@
+---
+title : 介绍
+---
+
+# 介绍
+
+VuePress 由两部分组成:第一部分是一个极简静态网站生成器,它包含由 Vue 驱动的主题系统和插件 API,另一个部分是为书写技术文档而优化的默认主题,它的诞生初衷是为了支持 Vue 及其子项目的文档需求。
+
+每一个由 VuePress 生成的页面都带有预渲染好的 HTML,也因此具有非常好的加载性能和搜索引擎优化(SEO)。同时,一旦页面被加载,Vue 将接管这些静态内容,并将其转换成一个完整的单页应用(SPA),其他的页面则会只在用户浏览到的时候才按需加载。
+
+## 它是如何工作的?
+
+事实上,一个 VuePress 网站是一个由 Vue、Vue Router 和 webpack 驱动的单页应用。如果你以前使用过 Vue 的话,当你在开发一个自定义主题的时候,你会感受到非常熟悉的开发体验,你甚至可以使用 Vue DevTools 去调试你的自定义主题。
+
+在构建时,我们会为应用创建一个服务端渲染(SSR)的版本,然后通过虚拟访问每一条路径来渲染对应的HTML。这种做法的灵感来源于 Nuxt 的 nuxt generate 命令,以及其他的一些项目,比如 Gatsby
+
+-------------
+
+## Features
+
+**内置的Markdown拓展**
+
+- 目录
+- 自定义容器
+- 代码块中的行高亮
+- 行号
+- 导入代码段
+
+----------------------
+
+## 为什么不是...?
+
+**Nuxt**
+
+VuePress 能做的事情,Nuxt 理论上确实能够胜任,但 Nuxt 是为构建应用程序而生的,而 VuePress 则专注在以内容为中心的静态网站上,同时提供了一些为技术文档定制的开箱即用的特性。
+
+
+**Docsify / Docute**
+
+这两个项目同样都是基于 Vue,然而它们都是完全的运行时驱动,因此对 SEO 不够友好。如果你并不关注 SEO,同时也不想安装大量依赖,它们仍然是非常好的选择

+ 5 - 0
docs/category/article-1.md

@@ -0,0 +1,5 @@
+---
+title: 网关
+---
+
+# 网关

+ 5 - 0
docs/category/article-2.md

@@ -0,0 +1,5 @@
+---
+title: 路由
+---
+
+# 路由

+ 5 - 0
docs/category/article-3.md

@@ -0,0 +1,5 @@
+---
+title: 接口
+---
+
+# 接口

+ 5 - 0
docs/category/article-4.md

@@ -0,0 +1,5 @@
+---
+title: 数据调用
+---
+
+# 数据调用

+ 5 - 0
docs/category/article-5.md

@@ -0,0 +1,5 @@
+---
+title: 容器管理
+---
+
+# 容器管理

+ 13 - 0
docs/category/cache.md

@@ -0,0 +1,13 @@
+---
+title:缓存 
+---
+
+# 缓存
+
+Hsweb缓存基础上,扩展集成博锐redis缓存。缓存不封装RPC通信。
+缓存分为一级缓存、二级缓存、三级缓存。
+- 一级缓存:session缓存(生命周期只是用户一次访问)
+- 二级缓存:服务内缓存(只是用来做业务处理,不存储业务状态)
+- 三级缓存:分布式Redis缓存(存储业务状态,业务数据)
+
+同一个服务的不同实例的Redis缓存可以互相访问。不同服务的不能互操作缓存。(屏蔽掉数据的直接耦合)

+ 206 - 0
docs/category/git.md

@@ -0,0 +1,206 @@
+---
+title : 版本管理
+---
+
+# Git
+
+Git是一个开源的分布式版本控制系统,可以有效. 高速地处理从很小到非常大的项目版本管理。
+
+## 组织结构管理
+
+建立persagy组织,负责所有后台服务git代码管理。
+组织下建立团队,包括公共项目团队、数字化交付、数据中台、集成框架、中控。
+公共项目团队包括web前端、Android、IOS、WebRTC、U3D、Docker、artificial intelligence、framework等,
+每一个公共项目代表一个技术领域。
+所有业务团队公共,且与业务无关通用的代码采用公共项目团队内的git仓库管理。每个团队独立负责团队内git仓库建立。
+每个git仓库对应一个idea的project,每个idea的project可以创建Module(模块)。
+一般一个git仓库对应一个服务。
+每个项目组构建组内的web项目,前台web项目也分层多个git仓库。
+公司引入开源项目时,需要镜像开源项目的git仓库。引入的开源项目git镜像由公共项目团队管理。
+
+目录结构如下:
+
+```
+└── persagy
+    ├── Android
+    ├── Docker
+    ├── IOS
+    ├── U3D
+    ├── Web
+    ├── WebRTC
+    ├── artificial
+    ├── framework
+    ├── intelligence
+    ├── 数字化交付
+    │   ├── Android
+    │   ├── IOS
+    │   ├── Java
+    │   └── Web
+    ├── 数据中台
+    │   ├── Android
+    │   ├── IOS
+    │   ├── Java
+    │   └── Web
+    ├── 集成框架
+    │   ├── Android
+    │   ├── IOS
+    │   ├── Java
+    │   └── Web
+    └── 中控
+        ├── Android
+        ├── IOS
+        ├── Java
+        └── Web
+```
+
+## GitFlow 使用规则
+
+在使用Git的过程中如果没有清晰流程和规划,否则,每个人都提交一堆杂乱无章的commit,项目很快就会变得难以协调和维护。
+Git版本管理同样需要一个清晰的流程和规范。我们参照Gitflow 来规范我们的Git使用。
+
+### Git Flow 流程图
+
+![GitFlow流程图](/assets/liuchengtu.webp)
+
+### Git Flow 的常用分支
+- **Production 分支**
+也就是我们经常使用的Master分支,这个分支最近发布到生产环境的代码,最近发布的Release, 这个分支只能从其他分支合并,不能在这个分支直接修改
+
+- **Develop 分支**
+这个分支是我们是我们的主开发分支,包含所有要发布到下一个Release的代码,这个主要合并与其他分支,比如Feature分支
+
+- **Feature 分支**
+这个分支主要是用来开发一个新的功能,一旦开发完成,我们合并回Develop分支进入下一个Release
+
+- **Release分支**
+当你需要一个发布一个新Release的时候,我们基于Develop分支创建一个Release分支,完成Release后,我们合并到Master和Develop分支
+
+- **Hotfix分支**
+当我们在Production发现新的Bug时候,我们需要创建一个Hotfix, 完成Hotfix后,我们合并回Master和Develop分支,所以Hotfix的改动会进入下一个Release
+
+
+### Git Flow 如何使用
+
+**Master/Devlop 分支**
+
+所有在Master分支上的Commit应该打上Tag,一般情况下Master不存在Commit,Devlop分支基于Master分支创建
+
+![Master/Devlop](/assets/Master.webp)
+
+**Feature 分支**
+
+Feature分支做完后,必须合并回Develop分支, 合并完分支后一般会删点这个Feature分支,毕竟保留下来意义也不大。
+
+![Feature](/assets/Feature.webp)
+
+**Release 分支**
+
+Release分支基于Develop分支创建,打完Release分支之后,我们可以在这个Release分支上测试,修改Bug等。同时,其它开发人员可以基于Develop分支新建Feature (记住:一旦打了Release分支之后不要从Develop分支上合并新的改动到Release分支)发布Release分支时,合并Release到Master和Develop, 同时在Master分支上打个Tag记住Release版本号,然后可以删除Release分支了。
+
+![Release](/assets/Release.webp)
+
+**Hotfix 分支**
+
+hotfix分支基于Master分支创建,开发完后需要合并回Master和Develop分支,同时在Master上打一个tag。
+
+![Hotfix ](/assets/Hotfix.webp)
+
+## Git Flow 命令示例
+
+**创建 Devlop**
+
+```
+git branch develop  
+git push -u origin develop
+```
+
+**开始 Feature**
+
+```
+# 通过develop新建feaeure分支
+git checkout -b feature develop
+# 或者, 推送至远程服务器:
+git push -u origin feature    
+
+# 修改md文件   
+git status
+git add .
+git commit 
+```
+
+**完成 Feature**
+
+```
+git pull origin develop
+git checkout develop 
+
+#--no-ff:不使用fast-forward方式合并,保留分支的commit历史
+#--squash:使用squash方式合并,把多次分支commit历史压缩为一次
+
+git merge --no-ff feature
+git push origin develop
+
+git branch -d some-feature
+
+# 如果需要删除远程feature分支:
+git push origin --delete feature   
+```
+
+**开始 Release**
+
+```
+git checkout -b release-0.1.0 develop
+```
+
+**完成 Release**
+
+```
+git checkout master
+git merge --no-ff release-0.1.0
+git push
+
+git checkout develop
+git merge --no-ff release-0.1.0
+git push
+
+
+git branch -d release-0.1.0
+git push origin --delete release-0.1.0   
+
+# 合并master/devlop分支之后,打上tag 
+git tag -a v0.1.0 master
+git push --tags
+```
+
+**完成 Hotfix**
+
+```
+git checkout master
+git merge --no-ff hotfix-0.1.1
+git push
+
+
+git checkout develop
+git merge --no-ff hotfix-0.1.1
+git push
+
+git branch -d hotfix-0.1.1
+git push origin --delete  hotfix-0.1.1 
+
+
+git tag -a v0.1.1 master
+git push --tags
+```
+
+## 版本号管理
+
+- 第一位:产品大版本(与解决方案对应)(4.0开始)
+- 第二位:研发产品线版本(产品线负责人确定)
+- 第三位:研发发布版本(测试发布确认)(前端npm打包只有3位,提测及发布)
+- 第四位:提测版本(研发确定)
+
+Git打tag、分支都使用此版本号。对外发布版程序保留前3位,第四位只在研发、测试之间同步。
+
+实例:
+- 开发环境:4.1.1.2
+- 生产环境:4.1.1

+ 42 - 0
docs/category/interface.md

@@ -0,0 +1,42 @@
+---
+title : 接口
+---
+
+# 接口
+
+## 接口关系
+- 1、同一服务同一集群之间接口
+RPC、MQ两种。
+
+- 2、同一服务不同站点之间接口
+不同集群站点:数据传输、MQ。
+同一用户群的站点:MQ
+
+- 3、不同服务同一集群接口
+RPC接口。
+
+- 4、不同服务不同集群接口
+无接口。
+
+- 5、服务、app、PC互相接口
+
+## 路径
+http://IP/服务/功能模块/version/资源/yyy
+
+## 接口规范
+详细内容参见《接口规范》(研发中心软件接口梳理-3-16-v0.4.docx)
+
+## 数据传输
+对于web服务,系统采用xml封装并传输数据。音视频、大文件传输时,对文件按照1M块大小拆分,并按照xml封装传输。
+音视频流媒体数据,采用webRTC框架传输数据。(特殊场景特殊处理)
+Kafka、Rocket可以作为服务开放端口使用。通过互信认证后,客户端获得临时访问开放服务端口的用户名、密码。客户端每次存数据时,从服务端获得新密码。(采用一次一密机制)
+
+## RPC接口
+接口形式参见“4.2RPC通信”。原则上,每个服务设计本服务的接口,服务之间共享所有接口。Interface接口设计参见“面向接口编程-9-5.docx”。
+
+## 前端接口调用
+接口的事务设计参考“工单程序设计”。
+前端接口采用json的restfull模式,参见“研发中心软件接口梳理-3-16.-v0.4.docx”。
+
+## 互信接口
+所有外部服务,App、PC客户端都需要做互信认证。

+ 11 - 0
docs/category/sidebar_contents.js

@@ -0,0 +1,11 @@
+module.exports = [
+	"/category/",
+	"git",
+	"interface",
+	"cache",
+	"article-1",
+	"article-2",
+	"article-3",
+	"article-4",
+	"article-5",
+];

+ 20 - 0
package.json

@@ -0,0 +1,20 @@
+{
+  "name": "templete",
+  "version": "1.1.1",
+  "description": "A VuePress project created by vuepress-creator.",
+  "main": "index.js",
+  "scripts": {
+    "dev": "vuepress dev docs",
+    "build": "vuepress build docs"
+  },
+  "keywords": [],
+  "author": "Feng L.H.",
+  "license": "MIT",
+  "devDependencies": {
+    "vuepress": "^1.5.2"
+  },
+  "dependencies": {
+    "core-js": "^2.6.11"
+  },
+  "creator": ">=2.0.0"
+}